diff --git a/board/samsung/smdk5250/smdk5250.c b/board/samsung/smdk5250/smdk5250.c
index 97fe0ad..f2ea92f 100644
--- a/board/samsung/smdk5250/smdk5250.c
+++ b/board/samsung/smdk5250/smdk5250.c
@@ -72,11 +72,11 @@ int board_init(void)
 int dram_init(void)
 {
 	int i;
-	u32 addr;
+	unsigned long addr;
 
 	for (i = 0; i < CONFIG_NR_DRAM_BANKS; i++) {
 		addr = CONFIG_SYS_SDRAM_BASE + (i * SDRAM_BANK_SIZE);
-		gd->ram_size += get_ram_size((long *)addr, SDRAM_BANK_SIZE);
+		gd->ram_size += get_ram_size((unsigned long *)addr, SDRAM_BANK_SIZE);
 	}
 	return 0;
 }
@@ -201,10 +201,10 @@ int power_init_board(void)
 void dram_init_banksize(void)
 {
 	int i;
-	u32 addr, size;
+	unsigned long addr, size;
 	for (i = 0; i < CONFIG_NR_DRAM_BANKS; i++) {
 		addr = CONFIG_SYS_SDRAM_BASE + (i * SDRAM_BANK_SIZE);
-		size = get_ram_size((long *)addr, SDRAM_BANK_SIZE);
+		size = get_ram_size((unsigned long *)addr, SDRAM_BANK_SIZE);
 		gd->bd->bi_dram[i].start = addr;
 		gd->bd->bi_dram[i].size = size;
 	}
diff --git a/board/samsung/smdkc100/smdkc100.c b/board/samsung/smdkc100/smdkc100.c
index 860c851..20cea8d 100644
--- a/board/samsung/smdkc100/smdkc100.c
+++ b/board/samsung/smdkc100/smdkc100.c
@@ -49,7 +49,7 @@ int board_init(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
+	gd->ram_size = get_ram_size((unsigned long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
 
 	return 0;
 }
diff --git a/board/samsung/smdkv310/smdkv310.c b/board/samsung/smdkv310/smdkv310.c
index 81a3060..919da46 100644
--- a/board/samsung/smdkv310/smdkv310.c
+++ b/board/samsung/smdkv310/smdkv310.c
@@ -49,10 +49,14 @@ int board_init(void)
 
 int dram_init(void)
 {
-	gd->ram_size	= get_ram_size((long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE)
-			+ get_ram_size((long *)PHYS_SDRAM_2, PHYS_SDRAM_2_SIZE)
-			+ get_ram_size((long *)PHYS_SDRAM_3, PHYS_SDRAM_3_SIZE)
-			+ get_ram_size((long *)PHYS_SDRAM_4, PHYS_SDRAM_4_SIZE);
+	gd->ram_size	= get_ram_size((unsigned long *)PHYS_SDRAM_1,
+							PHYS_SDRAM_1_SIZE)
+			+ get_ram_size((unsigned long *)PHYS_SDRAM_2,
+							PHYS_SDRAM_2_SIZE)
+			+ get_ram_size((unsigned long *)PHYS_SDRAM_3,
+							PHYS_SDRAM_3_SIZE)
+			+ get_ram_size((unsigned long *)PHYS_SDRAM_4,
+							PHYS_SDRAM_4_SIZE);
 
 	return 0;
 }
@@ -60,16 +64,16 @@ int dram_init(void)
 void dram_init_banksize(void)
 {
 	gd->bd->bi_dram[0].start = PHYS_SDRAM_1;
-	gd->bd->bi_dram[0].size = get_ram_size((long *)PHYS_SDRAM_1, \
+	gd->bd->bi_dram[0].size = get_ram_size((unsigned long *)PHYS_SDRAM_1, \
 							PHYS_SDRAM_1_SIZE);
 	gd->bd->bi_dram[1].start = PHYS_SDRAM_2;
-	gd->bd->bi_dram[1].size = get_ram_size((long *)PHYS_SDRAM_2, \
+	gd->bd->bi_dram[1].size = get_ram_size((unsigned long *)PHYS_SDRAM_2, \
 							PHYS_SDRAM_2_SIZE);
 	gd->bd->bi_dram[2].start = PHYS_SDRAM_3;
-	gd->bd->bi_dram[2].size = get_ram_size((long *)PHYS_SDRAM_3, \
+	gd->bd->bi_dram[2].size = get_ram_size((unsigned long *)PHYS_SDRAM_3, \
 							PHYS_SDRAM_3_SIZE);
 	gd->bd->bi_dram[3].start = PHYS_SDRAM_4;
-	gd->bd->bi_dram[3].size = get_ram_size((long *)PHYS_SDRAM_4, \
+	gd->bd->bi_dram[3].size = get_ram_size((unsigned long *)PHYS_SDRAM_4, \
 							PHYS_SDRAM_4_SIZE);
 }
 
diff --git a/board/samsung/trats/trats.c b/board/samsung/trats/trats.c
index 7f61d17..84262d7 100644
--- a/board/samsung/trats/trats.c
+++ b/board/samsung/trats/trats.c
@@ -347,10 +347,14 @@ int power_init_board(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE) +
-		get_ram_size((long *)PHYS_SDRAM_2, PHYS_SDRAM_2_SIZE) +
-		get_ram_size((long *)PHYS_SDRAM_3, PHYS_SDRAM_3_SIZE) +
-		get_ram_size((long *)PHYS_SDRAM_4, PHYS_SDRAM_4_SIZE);
+	gd->ram_size 	= get_ram_size((unsigned long *)PHYS_SDRAM_1,
+							PHYS_SDRAM_1_SIZE)
+			+ get_ram_size((unsigned long *)PHYS_SDRAM_2,
+							PHYS_SDRAM_2_SIZE)
+			+ get_ram_size((unsigned long *)PHYS_SDRAM_3,
+							PHYS_SDRAM_3_SIZE)
+			+ get_ram_size((unsigned long *)PHYS_SDRAM_4,
+							PHYS_SDRAM_4_SIZE);
 
 	return 0;
 }
diff --git a/board/samsung/universal_c210/universal.c b/board/samsung/universal_c210/universal.c
index 54d0e1e..98d8fb0 100644
--- a/board/samsung/universal_c210/universal.c
+++ b/board/samsung/universal_c210/universal.c
@@ -60,8 +60,10 @@ int power_init_board(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE) +
-		get_ram_size((long *)PHYS_SDRAM_2, PHYS_SDRAM_2_SIZE);
+	gd->ram_size 	= get_ram_size((unsigned long *)PHYS_SDRAM_1,
+							PHYS_SDRAM_1_SIZE)
+			+ get_ram_size((unsigned long *)PHYS_SDRAM_2,
+							PHYS_SDRAM_2_SIZE);
 
 	return 0;
 }
diff --git a/board/sandpoint/sandpoint.c b/board/sandpoint/sandpoint.c
index 16237bd..ff6fa1d 100644
--- a/board/sandpoint/sandpoint.c
+++ b/board/sandpoint/sandpoint.c
@@ -37,10 +37,10 @@ int checkflash (void)
 
 phys_size_t initdram (int board_type)
 {
-	long size;
-	long new_bank0_end;
-	long mear1;
-	long emear1;
+	unsigned long size;
+	unsigned long new_bank0_end;
+	unsigned long mear1;
+	unsigned long emear1;
 
 	size = get_ram_size(CONFIG_SYS_SDRAM_BASE, CONFIG_SYS_MAX_RAM_SIZE);
 
diff --git a/board/scb9328/scb9328.c b/board/scb9328/scb9328.c
index 3463f52..d067a8d 100644
--- a/board/scb9328/scb9328.c
+++ b/board/scb9328/scb9328.c
@@ -20,7 +20,7 @@ int board_init (void)
 int dram_init (void)
 {
 	/* dram_init must store complete ramsize in gd->ram_size */
-	gd->ram_size = get_ram_size((void *)SCB9328_SDRAM_1,
+	gd->ram_size = get_ram_size((unsigned long *)SCB9328_SDRAM_1,
 				    SCB9328_SDRAM_1_SIZE);
 
 	return 0;
diff --git a/board/snmc/qs850/qs850.c b/board/snmc/qs850/qs850.c
index dc4a476..c662cac 100644
--- a/board/snmc/qs850/qs850.c
+++ b/board/snmc/qs850/qs850.c
@@ -210,5 +210,5 @@ static long int dram_size (long int mamr_value, long int *base, long int maxsize
 
 	memctl->memc_mamr = mamr_value;
 
-	return (get_ram_size(base, maxsize));
+	return (long int)(get_ram_size((unsigned long *)base, (unsigned long)maxsize));
 }
diff --git a/board/snmc/qs860t/qs860t.c b/board/snmc/qs860t/qs860t.c
index 7ff9945..f345d55 100644
--- a/board/snmc/qs860t/qs860t.c
+++ b/board/snmc/qs860t/qs860t.c
@@ -216,5 +216,5 @@ static long int dram_size (long int mbmr_value, long int *base, long int maxsize
 
 	memctl->memc_mbmr = mbmr_value;
 
-	return (get_ram_size(base, maxsize));
+	return (long int)(get_ram_size((unsigned long *)base, (unsigned long)maxsize));
 }
diff --git a/board/socrates/sdram.c b/board/socrates/sdram.c
index 313efae..67a0bb8 100644
--- a/board/socrates/sdram.c
+++ b/board/socrates/sdram.c
@@ -49,7 +49,7 @@ phys_size_t fixed_sdram(void)
 	asm ("sync; isync; msync");
 	udelay(1000);
 
-	if (get_ram_size(0, CONFIG_SYS_SDRAM_SIZE<<20) == CONFIG_SYS_SDRAM_SIZE<<20) {
+	if (get_ram_size((unsigned long *)0, CONFIG_SYS_SDRAM_SIZE<<20) == CONFIG_SYS_SDRAM_SIZE<<20) {
 		/*
 		 * OK, size detected -> all done
 		 */
diff --git a/board/spc1920/spc1920.c b/board/spc1920/spc1920.c
index 1775433..1ed1082 100644
--- a/board/spc1920/spc1920.c
+++ b/board/spc1920/spc1920.c
@@ -182,7 +182,7 @@ static long int dram_size (long int mbmr_value, long int *base,
 
 	memctl->memc_mbmr = mbmr_value;
 
-	return (get_ram_size (base, maxsize));
+	return (long int)(get_ram_size ((unsigned long *)base, (unsigned long)maxsize));
 }
 
 
diff --git a/board/spd8xx/spd8xx.c b/board/spd8xx/spd8xx.c
index d3320bb..be791dd 100644
--- a/board/spd8xx/spd8xx.c
+++ b/board/spd8xx/spd8xx.c
@@ -215,7 +215,7 @@ static long int dram_size (long int mamr_value, long int *base,
 
 	memctl->memc_mbmr = mamr_value;
 
-	return (get_ram_size (base, maxsize));
+	return (long int)(get_ram_size ((unsigned long *)base, (unsigned long)maxsize));
 }
 
 /* ------------------------------------------------------------------------- */
diff --git a/board/stx/stxxtc/stxxtc.c b/board/stx/stxxtc/stxxtc.c
index 1996efb..ac4d830 100644
--- a/board/stx/stxxtc/stxxtc.c
+++ b/board/stx/stxxtc/stxxtc.c
@@ -387,7 +387,7 @@ phys_size_t initdram(int board_type)
 {
 	volatile immap_t *immap = (immap_t *) CONFIG_SYS_IMMR;
 	volatile memctl8xx_t *memctl = &immap->im_memctl;
-	long int size;
+	unsigned long size;
 	u32 d1, d2;
 
 	upmconfig(UPMA, (uint *) sdram_table, sizeof(sdram_table) / sizeof(sdram_table[0]));
@@ -448,7 +448,7 @@ phys_size_t initdram(int board_type)
 		DO_LOOP;
 	}
 
-	size = get_ram_size((long *)0, SDRAM_MAX_SIZE);
+	size = get_ram_size((unsigned long *)0, SDRAM_MAX_SIZE);
 
 	return size;
 }
diff --git a/board/syteco/jadecpu/jadecpu.c b/board/syteco/jadecpu/jadecpu.c
index 6c60a41..57dc1d3 100644
--- a/board/syteco/jadecpu/jadecpu.c
+++ b/board/syteco/jadecpu/jadecpu.c
@@ -138,7 +138,7 @@ int misc_init_r(void)
 int dram_init(void)
 {
 	/* dram_init must store complete ramsize in gd->ram_size */
-	gd->ram_size = get_ram_size((void *)PHYS_SDRAM,
+	gd->ram_size = get_ram_size((unsigned long *)PHYS_SDRAM,
 					PHYS_SDRAM_SIZE);
 
 	return 0;
diff --git a/board/syteco/zmx25/zmx25.c b/board/syteco/zmx25/zmx25.c
index bdbf02a..b916794 100644
--- a/board/syteco/zmx25/zmx25.c
+++ b/board/syteco/zmx25/zmx25.c
@@ -168,7 +168,7 @@ int board_late_init(void)
 int dram_init(void)
 {
 	/* dram_init must store complete ramsize in gd->ram_size */
-	gd->ram_size = get_ram_size((void *)PHYS_SDRAM,
+	gd->ram_size = get_ram_size((unsigned long *)PHYS_SDRAM,
 				PHYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/taskit/stamp9g20/stamp9g20.c b/board/taskit/stamp9g20/stamp9g20.c
index 704a63b..35518f9 100644
--- a/board/taskit/stamp9g20/stamp9g20.c
+++ b/board/taskit/stamp9g20/stamp9g20.c
@@ -175,7 +175,7 @@ int board_init(void)
 int dram_init(void)
 {
 	gd->ram_size = get_ram_size(
-		(void *)CONFIG_SYS_SDRAM_BASE,
+		(unsigned long *)CONFIG_SYS_SDRAM_BASE,
 		CONFIG_SYS_SDRAM_SIZE);
 	return 0;
 }
diff --git a/board/ti/omap5912osk/omap5912osk.c b/board/ti/omap5912osk/omap5912osk.c
index e402649..55e48d0 100644
--- a/board/ti/omap5912osk/omap5912osk.c
+++ b/board/ti/omap5912osk/omap5912osk.c
@@ -118,7 +118,7 @@ void ether__init (void)
 ******************************/
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
+	gd->ram_size = get_ram_size((unsigned long *)PHYS_SDRAM_1, PHYS_SDRAM_1_SIZE);
 
 	return 0;
 }
diff --git a/board/timll/devkit3250/devkit3250.c b/board/timll/devkit3250/devkit3250.c
index 6acc416..e4a2bcb 100644
--- a/board/timll/devkit3250/devkit3250.c
+++ b/board/timll/devkit3250/devkit3250.c
@@ -45,7 +45,7 @@ int board_init(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((void *)CONFIG_SYS_SDRAM_BASE,
+	gd->ram_size = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE,
 				    CONFIG_SYS_SDRAM_SIZE);
 
 	return 0;
diff --git a/board/total5200/sdram.c b/board/total5200/sdram.c
index dbe3587..8a46953 100644
--- a/board/total5200/sdram.c
+++ b/board/total5200/sdram.c
@@ -85,9 +85,9 @@ long int mpc5xxx_sdram_init (sdram_conf_t *sdram_conf)
 
 	/* find RAM size using SDRAM CS0 only */
 	mpc5xxx_sdram_start(sdram_conf, 0);
-	test1 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
+	test1 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
 	mpc5xxx_sdram_start(sdram_conf, 1);
-	test2 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
+	test2 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
 	if (test1 > test2) {
 		mpc5xxx_sdram_start(sdram_conf, 0);
 		dramsize = test1;
@@ -112,9 +112,9 @@ long int mpc5xxx_sdram_init (sdram_conf_t *sdram_conf)
 
 	/* find RAM size using SDRAM CS1 only */
 	mpc5xxx_sdram_start(sdram_conf, 0);
-	test1 = get_ram_size((long *)(CONFIG_SYS_SDRAM_BASE + dramsize), 0x80000000);
+	test1 = get_ram_size((unsigned long *)(CONFIG_SYS_SDRAM_BASE + dramsize), 0x80000000);
 	mpc5xxx_sdram_start(sdram_conf, 1);
-	test2 = get_ram_size((long *)(CONFIG_SYS_SDRAM_BASE + dramsize), 0x80000000);
+	test2 = get_ram_size((unsigned long *)(CONFIG_SYS_SDRAM_BASE + dramsize), 0x80000000);
 	if (test1 > test2) {
 		mpc5xxx_sdram_start(sdram_conf, 0);
 		dramsize2 = test1;
diff --git a/board/tqc/tqm5200/tqm5200.c b/board/tqc/tqm5200/tqm5200.c
index d5a8a97..b73a802 100644
--- a/board/tqc/tqm5200/tqm5200.c
+++ b/board/tqc/tqm5200/tqm5200.c
@@ -158,9 +158,9 @@ phys_size_t initdram (int board_type)
 
 	/* find RAM size using SDRAM CS0 only */
 	sdram_start(0);
-	test1 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x20000000);
+	test1 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x20000000);
 	sdram_start(1);
-	test2 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x20000000);
+	test2 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x20000000);
 	if (test1 > test2) {
 		sdram_start(0);
 		dramsize = test1;
@@ -187,10 +187,10 @@ phys_size_t initdram (int board_type)
 	/* find RAM size using SDRAM CS1 only */
 	if (!dramsize)
 		sdram_start(0);
-	test2 = test1 = get_ram_size((long *)(CONFIG_SYS_SDRAM_BASE + dramsize), 0x20000000);
+	test2 = test1 = get_ram_size((unsigned long *)(CONFIG_SYS_SDRAM_BASE + dramsize), 0x20000000);
 	if (!dramsize) {
 		sdram_start(1);
-		test2 = get_ram_size((long *)(CONFIG_SYS_SDRAM_BASE + dramsize), 0x20000000);
+		test2 = get_ram_size((unsigned long *)(CONFIG_SYS_SDRAM_BASE + dramsize), 0x20000000);
 	}
 	if (test1 > test2) {
 		sdram_start(0);
diff --git a/board/tqc/tqm8260/tqm8260.c b/board/tqc/tqm8260/tqm8260.c
index c361f18..9cb2a5c 100644
--- a/board/tqc/tqm8260/tqm8260.c
+++ b/board/tqc/tqm8260/tqm8260.c
@@ -261,10 +261,10 @@ static long int try_init (volatile memctl8260_t * memctl, ulong sdmr,
 	*sdmr_ptr = sdmr | PSDMR_OP_NORM | PSDMR_RFEN;
 	*base = c;
 
-	size = get_ram_size((long *)base, maxsize);
+	size = get_ram_size((unsigned long *)base, maxsize);
 	*orx_ptr = orx | ~(size - 1);
 
-	return (size);
+	return (long int)(size);
 }
 
 phys_size_t initdram (int board_type)
diff --git a/board/tqc/tqm8272/tqm8272.c b/board/tqc/tqm8272/tqm8272.c
index 334fd6d..17aa0e2 100644
--- a/board/tqc/tqm8272/tqm8272.c
+++ b/board/tqc/tqm8272/tqm8272.c
@@ -429,10 +429,10 @@ static long int try_init (volatile memctl8260_t * memctl, ulong sdmr,
 	*sdmr_ptr = sdmr | PSDMR_OP_NORM | PSDMR_RFEN;
 	*base = c;
 
-	size = get_ram_size((long *)base, maxsize);
+	size = get_ram_size((unsigned long *)base, maxsize);
 	*orx_ptr = orx | ~(size - 1);
 
-	return (size);
+	return (long int)(size);
 }
 
 phys_size_t initdram (int board_type)
diff --git a/board/tqc/tqm834x/tqm834x.c b/board/tqc/tqm834x/tqm834x.c
index 814fcb2..306aec2 100644
--- a/board/tqc/tqm834x/tqm834x.c
+++ b/board/tqc/tqm834x/tqm834x.c
@@ -279,7 +279,7 @@ static long int get_ddr_bank_size(short cs, long *base)
 		set_cs_config(cs, CSCONFIG_EN | conf[i].col | conf[i].row);
 
 		debug("Getting RAM size...\n");
-		size = get_ram_size(base, DDR_MAX_SIZE_PER_CS);
+		size = (long)get_ram_size((unsigned long *)base, DDR_MAX_SIZE_PER_CS);
 
 		if((size == conf[i].size) && (i == detected + 1))
 			detected = i;
diff --git a/board/tqc/tqm8xx/tqm8xx.c b/board/tqc/tqm8xx/tqm8xx.c
index 9ce2a57..5cc7583 100644
--- a/board/tqc/tqm8xx/tqm8xx.c
+++ b/board/tqc/tqm8xx/tqm8xx.c
@@ -411,7 +411,7 @@ static long int dram_size (long int mamr_value, long int *base, long int maxsize
 
 	memctl->memc_mamr = mamr_value;
 
-	return (get_ram_size(base, maxsize));
+	return (long int)(get_ram_size((unsigned long *)base, (unsigned long)maxsize));
 }
 
 /* ------------------------------------------------------------------------- */
diff --git a/board/ttcontrol/vision2/vision2.c b/board/ttcontrol/vision2/vision2.c
index b4d3994..2945f4c 100644
--- a/board/ttcontrol/vision2/vision2.c
+++ b/board/ttcontrol/vision2/vision2.c
@@ -116,7 +116,7 @@ static void init_drive_strength(void)
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)PHYS_SDRAM_1,
+	gd->ram_size = get_ram_size((unsigned long *)PHYS_SDRAM_1,
 		PHYS_SDRAM_1_SIZE);
 
 	return 0;
diff --git a/board/utx8245/utx8245.c b/board/utx8245/utx8245.c
index 69d19e3..1d7e6b7 100644
--- a/board/utx8245/utx8245.c
+++ b/board/utx8245/utx8245.c
@@ -33,11 +33,11 @@ int checkboard(void)
 
 phys_size_t initdram(int board_type)
 {
-	long size;
-	long new_bank0_end;
-	long new_bank1_end;
-	long mear1;
-	long emear1;
+	unsigned long size;
+	unsigned long new_bank0_end;
+	unsigned long new_bank1_end;
+	unsigned long mear1;
+	unsigned long emear1;
 
 	size = get_ram_size(CONFIG_SYS_SDRAM_BASE, CONFIG_SYS_MAX_RAM_SIZE);
 
diff --git a/board/v38b/v38b.c b/board/v38b/v38b.c
index a337729..e4ee661 100644
--- a/board/v38b/v38b.c
+++ b/board/v38b/v38b.c
@@ -83,9 +83,9 @@ phys_size_t initdram(int board_type)
 
 	/* find RAM size using SDRAM CS0 only */
 	sdram_start(0);
-	test1 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
+	test1 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
 	sdram_start(1);
-	test2 = get_ram_size((long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
+	test2 = get_ram_size((unsigned long *)CONFIG_SYS_SDRAM_BASE, 0x80000000);
 	if (test1 > test2) {
 		sdram_start(0);
 		dramsize = test1;
@@ -108,10 +108,10 @@ phys_size_t initdram(int board_type)
 	/* find RAM size using SDRAM CS1 only */
 	if (!dramsize)
 		sdram_start(0);
-	test2 = test1 = get_ram_size((long *) (CONFIG_SYS_SDRAM_BASE + dramsize), 0x80000000);
+	test2 = test1 = get_ram_size((unsigned long *) (CONFIG_SYS_SDRAM_BASE + dramsize), 0x80000000);
 	if (!dramsize) {
 		sdram_start(1);
-		test2 = get_ram_size((long *) (CONFIG_SYS_SDRAM_BASE + dramsize), 0x80000000);
+		test2 = get_ram_size((unsigned long *) (CONFIG_SYS_SDRAM_BASE + dramsize), 0x80000000);
 	}
 	if (test1 > test2) {
 		sdram_start(0);
diff --git a/board/ve8313/ve8313.c b/board/ve8313/ve8313.c
index c4feef8..d19c025 100644
--- a/board/ve8313/ve8313.c
+++ b/board/ve8313/ve8313.c
@@ -81,7 +81,7 @@ static long fixed_sdram(void)
 
 	/* now check the real size */
 	disable_addr_trans ();
-	msize = get_ram_size (CONFIG_SYS_DDR_BASE, msize);
+	msize = (u32)get_ram_size (CONFIG_SYS_DDR_BASE, msize);
 	enable_addr_trans ();
 #endif
 
diff --git a/board/woodburn/woodburn.c b/board/woodburn/woodburn.c
index 2744514..a2d5cca 100644
--- a/board/woodburn/woodburn.c
+++ b/board/woodburn/woodburn.c
@@ -37,7 +37,7 @@ DECLARE_GLOBAL_DATA_PTR;
 
 int dram_init(void)
 {
-	gd->ram_size = get_ram_size((long *)PHYS_SDRAM_1,
+	gd->ram_size = get_ram_size((unsigned long *)PHYS_SDRAM_1,
 		PHYS_SDRAM_1_SIZE);
 
 	return 0;
diff --git a/post/board/lwmon5/fpga.c b/post/board/lwmon5/fpga.c
index 1a72823..9365301 100644
--- a/post/board/lwmon5/fpga.c
+++ b/post/board/lwmon5/fpga.c
@@ -295,7 +295,7 @@ int fpga_post_test(int flags)
 	out_be32((void *)FPGA_STAT, in_be32((void *)FPGA_STAT) | 0x1000);
 
 	/* get RAM size */
-	read_value = get_ram_size((void *)CONFIG_SYS_FPGA_BASE_1, FPGA_RAM_SIZE);
+	read_value = (uint)get_ram_size((unsigned long *)CONFIG_SYS_FPGA_BASE_1, FPGA_RAM_SIZE);
 	post_log("FPGA RAM size %d bytes\n", read_value);
 	WATCHDOG_RESET();
 
diff --git a/post/board/lwmon5/gdc.c b/post/board/lwmon5/gdc.c
index 9405e7d..bca3a0b 100644
--- a/post/board/lwmon5/gdc.c
+++ b/post/board/lwmon5/gdc.c
@@ -303,7 +303,7 @@ int gdc_post_test(int flags)
 		 (old_value >> 8) & 0xFF, old_value & 0xFF,
 		 (old_value >> 16) & 0xFFFF);
 
-	old_value = get_ram_size((void *)GDC_RAM_START,
+	old_value = (uint)get_ram_size((unsigned long *)GDC_RAM_START,
 				 0x02000000);
 
 	debug("GDC RAM size (ist):  %d bytes\n", old_value);
-- 
1.8.1.5

